{% from "packages/components/button/macro.njk" import button %}
{% macro timeoutWarning(params) %}
  <dialog class="modal-dialog dialog" data-module="hrt-timeout-warning" id="js-timeout-warning" data-minutes-show-after="{{ params.modalShowAfter }}" data-minutes-modal-visible="{{ params.modalVisibleTime }}" data-text="{{ params.text }}" data-mfa-timeout="{{ params.mfaTimeOut }}" data-extra-text="{{ params.extraText }}" data-url-redirect="{{ params.timeoutUrl or "/session-timeout" }}" data-url-stay-signed-in="{{ params.staySignedInUrl or "" }}" role="dialog" aria-live="polite" aria-describedby="at-timer" aria-labelledby="dialog-title">
    <h1 id="dialog-title" class="nhsuk-heading-l">{{ params.title }}</h1>
    <p class="timer" aria-hidden="true" aria-relevant="additions"></p>
    <div class="at-timer nhsuk-u-visually-hidden" role="status" id="at-timer"></div>
    {{ button({
      text: params.buttonText,
      classes: "nhsuk-button--primary",
      attributes: { id: "close-modal-button", type: "button" }
     }) }}
  </dialog>
{% endmacro %}